Loading...
Searching...
No Matches
Target.h File Reference

Defines the structure that describes a Halide target. More...

`#include <bitset>`
`#include <cstdint>`
`#include <string>`
`#include "DeviceAPI.h"`
`#include "Type.h"`
`#include "runtime/HalideRuntime.h"`

Go to the source code of this file.

## Classes

struct | Halide::Target
| A struct representing a target machine and os to generate code for. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Target | Halide::get_host_target ()
| Return the target corresponding to the host machine.
Target | Halide::get_target_from_environment ()
| Return the target that Halide will use.
Target | Halide::get_jit_target_from_environment ()
| Return the target that Halide will use for jit-compilation.
Target::Feature | Halide::target_feature_for_device_api (DeviceAPI api)
| Get the Target feature corresponding to a DeviceAPI.
void | Halide::Internal::target_test ()

## Detailed Description

Defines the structure that describes a Halide target.

Definition in file Target.h.